Get Recommendations 2.0

Retrieves recommendations according to status and other filters

Status filters

NameDescription
status_filter
  • define what status of recommendations should be displayed. The possible values and meanings for this filter are:
    • potential_savings - open AND undone AND not excluded
    • actual_savings - (closed OR done) AND not excluded
    • potential_and_actual_savings – all recommendations that were not excluded by the user
    • excluded - excluded
    • user_actions- done OR excluded
    • custom - User defined conditions as set in the is_open and user_status fields, with logical AND between them. The is_open and user_status fields are ignored unless the status_filter is custom.
is_opentrue to return only open recommendations. false to return only closed. null or omit to return all
user_status
  • The 2 user statuses (done, excluded) as keys, and true/false/null as values.
    • true - return only recommendations that have this status.
    • false - return only recommendations that don’t have this status.
    • Null or missing - do not filter by this status
{
    "status_filter": "potential_savings",
    "user_status": {
        "DONE": true/false/null,
        "EXCLUDED": true/false/null 
        },
    "is_starred": true/false/null, 
    "open_recs_creation_date": {"from": "2024-01-13", "to": "2024-01-23"},
    "closed_and_done_recs_dates": {
        "last_update_date": { "from": "2024-01-13", "to": "2024-06-23" },
        "operator": AND/OR,
        "creation_date": { "from": "2024-01-13", "to": "2024-01-23" }
        },
    "annual_savings_greater_than": 1000,
    "cat_id": [1,2],
    "type_id": {
        "negate": true/false, //optional, default false 
        "eq": [ "rds-class-change", ...]
        },
    "service": {
        "negate": true/false, //optional, default false 
        "eq": [...]
        },
    "region": { // like type_id
        },
    "linked_account_id": {
    // like type_id
        },
    "instance_type": {
    // like type_id
        },
    "resource_id": {
    // like type_id
        },
    "virtual_tag": {
        "uuid": ...,
        "eq": [ "val1", ...]
        },
    "custom_tags": {
        "negate": true/false, //optional, default false
        "condition":
            [{
            "tag": "...",
            "eq": [ "val1", ...]
            }]
        },
    "enrichment_tags": {
    // like custom_tags
        } 
}


Date Filters

There is a date filter for opened recommendations, and another date filter for closed and done recommendations. For open-done recommendations, both filters apply.

NameApplicable forDescription
open_recs_creation_dateOpenThe filter for open recommendations allows filtering based on creation date:
{"from": "2024-01-13", "to": "2024-01-23"}
You may include the from or to fields or both
closed_and_done_recs_datesClosed and DoneThe filter for closed and done recommendations allows filtering based on update date, and optionally based on creation date. last_update_date is mandatory when using this filter.
  • last_update_date must include the from or to fields or both.
  • operator and creation_date are optional and are added together. Either include both or omit both.
  • creation_date must include the from or to fields or both.
  • In all of these dates, the format is yyyy-MM-dd .
  • The response will include recommendations within the dates {from to} - inclusive.
{
    "closed_and_done_recs_dates": {
        "last_update_date": {"from": ..., "to": ...},
        "operator": AND/OR,
        "creation_date": {"from": ..., "to": ...},
        }
}


Tag Filters

NameDescription
custom_tagsstatic tags that relate to a specific resource, these tags are part of the recommendation raw data.
virtual_tageach virtual tag represents a collection of custom tags.
enrichment_tagskeys and values defined by you.
"custom_tags": {
  "negate": false,
  "condition" : [
    {
        "tag": "env",
        "eq": [ "dev1", "dev2" ],
        "like": [ "test" ]
        "operator": "AND"
    },
    ...
  ]
}
"virtual_tag": {
  "uuid": "...",
  "eq": [ "...", "...", ... ],
  "like": [ "...", "...", ... ]
}


List Filters

These filters contain two fields:

  1. negate – true/false Default false. Determines include/exclude the values
  2. eq – An array of values
  • type_id – The recommendation type
  • service
  • region
  • linked_account_id
  • instance_type
  • resource_id

Numeric Filters

  • annual_savings_greater_than – Define the numeric value to be used as a filter, to get higher impacting recommendations
  • cat_id – Filter by recommendation category, include one or more values in an array. See the values in the table below.
cat_idDescription
1Right Sizing
3Commitments
4Terminate
5Unattached
7Generation Upgrade
999999other
Body Params
string
required

see table above with all filters (json)

sort
array of strings
required

sorting order of the response (json array)

sort*
integer
required

max number of records to return in each page

string
required

The token should be copied from previous response to continue based on the pagination

Headers
string
required
string
required
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
LoadingLoading…
Response
Choose an example:
application/json